Bug 279351 - mesa-libGLU-devel missing from dependencies
mesa-libGLU-devel missing from dependencies
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-05 16:19 EDT by Bill C. Riemers
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-08 04:12:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill C. Riemers 2007-09-05 16:19:28 EDT
Description of problem:

mesa-libGLU is missing from the dependencies list of the wine package.

Version-Release number of selected component (if applicable):

wine-0.9.43-2.fc7.src.rpm

How reproducible:

Always

Steps to Reproduce:
1. Attempt to build on a x86_64 host using "rpmbuild --rebuild --target=i386
wine-0.9.43-2.fc7.src.rpm
2. Install all the required i386 packages.
3. Attempt to build again.
  
Actual results:

The build fails with error "undefined reference to gluNewTess".

Expected results:

mesa-libGLU-devel should be listed as a dependency in step 1.  Then after this
is installed in step 2, the build in step 3 will succeed.

Additional info:
Comment 1 Bill C. Riemers 2007-09-05 16:26:19 EDT
After looking at the spec file, I see mesa-libGLU-devel is listed as a
requirement, but for some reason rpmbuild does not pick this up.  Perhaps, only
one library may be specified per line?
Comment 2 Andreas Bierfert 2007-09-05 17:19:04 EDT
Hm interesting.  I don't see why it would not build. It builds fine in mock and
it shouldn't if something like libGLU stuff is missing (and hence it is required
and multiple requires per line are fine). I have no clue however why it is not
picked up. I will give it a test tomorrow.
Comment 3 Andreas Bierfert 2007-10-08 04:12:02 EDT
I tested again with .46 today. Mock builds work fine. I guess there are some
other nitpicks for the multilib stuff maybe. I remember that building for i386
on x86_64 systems was a bit of a pain even w/o rpm. Please take a look at this
page for further information:
http://wiki.winehq.org/WineOn64bit#head-f5f9f414804f6ebe1b72b0dca85feaee42121811

Note You need to log in before you can comment on or make changes to this bug.